Summary: A software library for accesing MusicBrainz servers
Name: libmusicbrainz3
Version: 3.0.1
Release: alt1
License: LGPL
Group: Sound
Source0: ftp://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-%version.tar.gz
Patch0: %name-cppunit.patch
Url: http://www.musicbrainz.org/
# BuildRequires: cmake
# BuildRequires: cppunit-devel
# BuildRequires: libneon-devel >= 0.25
# BuildRequires: libdiscid-devel
# BuildRequires: libstdc++-devel
# BuildRequires: libtool
# BuildRequires: pkgconfig

# Automatically added by buildreq on Fri Feb 15 2008
BuildRequires: ccmake cppunit-devel gcc-c++ libdiscid-devel libneon0.26-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package devel
Summary: Headers for developing programs that will use libmusicbrainz
Group: Development/Other
# Requires: %name = %version-%release
# Requires: libdiscid-devel
# Requires: libstdc++-devel
# Requires: libneon-devel >= 0.25

%description devel
This package contains the headers that programmers will need to
develop applications which will use libmusicbrainz.

%prep
%setup -n libmusicbrainz-%version
%patch0 -p1 -b .orig

%build
cmake . -DCMAKE_INSTALL_PREFIX=%prefix -DCMAKE_VERBOSE_MAKEFILE=1 \
%if "%_lib" == "lib64"
	-DLIB_SUFFIX=64
%endif

%install
make install DESTDIR=%buildroot

# # for rpm autodeps
# chmod 755 %buildroot%_libdir/%name.so*

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
# %%defattr(644,root,root,755)
# %%attr(755,root,root) 
%_libdir/%name.so.*
%_libdir/%name.so.*.*.*
# %%attr(755,root,root) 
# %%ghost %%_libdir/%%name.so.6
%doc AUTHORS.txt NEWS.txt README.txt NEWS.txt

%files devel
# %%defattr(644,root,root,755)
# %%attr(755,root,root) 
%_libdir/%name.so
%_includedir/musicbrainz3
%_pkgconfigdir/%name.pc

%changelog
* Fri Feb 15 2008 Terechkov Evgenii <evg@altlinux.ru> 3.0.1-alt1
- Initial build for ALT Linux Sisyphus (Thanks to PLD for initial spec)
- spec macro abuse cleanup

$Log: libmusicbrainz3.spec,v $
Revision 1.7  2008-02-02 02:40:25  glen
- fix internal deps; rel 3

Revision 1.6  2007-08-31 20:31:20  arekm
- rel 2

Revision 1.5  2007/08/05 21:09:11  qboosh
- lib64 support

Revision 1.4  2007/07/16 19:11:41  qboosh
- updated to 3.0.1

Revision 1.3  2007/06/12 17:10:48  qboosh
- let rpm detect lib deps

Revision 1.2  2007/05/28 22:39:21  qboosh
- libdiscid is ready

Revision 1.1  2007/05/28 21:13:06  qboosh
- new, rewrite, parallel installable with v2.x
